Permanent Virtual Account
curl --request POST \
--url https://business-api.userivo.co/business/v1/virtual-accounts/ngn/permanent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "Jane",
"lastName": "Doe",
"bvn": "10987654321",
"reference": "ref_perm_123",
"email": "jane.doe@example.com"
}
'import requests
url = "https://business-api.userivo.co/business/v1/virtual-accounts/ngn/permanent"
payload = {
"firstName": "Jane",
"lastName": "Doe",
"bvn": "10987654321",
"reference": "ref_perm_123",
"email": "jane.doe@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: 'Jane',
lastName: 'Doe',
bvn: '10987654321',
reference: 'ref_perm_123',
email: 'jane.doe@example.com'
})
};
fetch('https://business-api.userivo.co/business/v1/virtual-accounts/ngn/permanent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://business-api.userivo.co/business/v1/virtual-accounts/ngn/permanent",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'firstName' => 'Jane',
'lastName' => 'Doe',
'bvn' => '10987654321',
'reference' => 'ref_perm_123',
'email' => 'jane.doe@example.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://business-api.userivo.co/business/v1/virtual-accounts/ngn/permanent"
payload := strings.NewReader("{\n \"firstName\": \"Jane\",\n \"lastName\": \"Doe\",\n \"bvn\": \"10987654321\",\n \"reference\": \"ref_perm_123\",\n \"email\": \"jane.doe@example.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://business-api.userivo.co/business/v1/virtual-accounts/ngn/permanent")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"firstName\": \"Jane\",\n \"lastName\": \"Doe\",\n \"bvn\": \"10987654321\",\n \"reference\": \"ref_perm_123\",\n \"email\": \"jane.doe@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://business-api.userivo.co/business/v1/virtual-accounts/ngn/permanent")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"firstName\": \"Jane\",\n \"lastName\": \"Doe\",\n \"bvn\": \"10987654321\",\n \"reference\": \"ref_perm_123\",\n \"email\": \"jane.doe@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Virtual account created successfully",
"data": {
"accountNumber": "1234509876",
"accountName": "Jane Doe",
"bankName": "Rivo Bank",
"reference": "ref_perm_123",
"type": "permanent",
"status": "active"
}
}Virtual Account
Permanent Virtual Account
Create a permanent NGN virtual account for a customer. On success Rivo sends a virtual-account.created webhook; if the request is rejected it sends virtual-account.rejected. On staging, accounts are created instantly with dummy details, and a reference containing reject simulates a rejection.
POST
/
virtual-accounts
/
ngn
/
permanent
Permanent Virtual Account
curl --request POST \
--url https://business-api.userivo.co/business/v1/virtual-accounts/ngn/permanent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "Jane",
"lastName": "Doe",
"bvn": "10987654321",
"reference": "ref_perm_123",
"email": "jane.doe@example.com"
}
'import requests
url = "https://business-api.userivo.co/business/v1/virtual-accounts/ngn/permanent"
payload = {
"firstName": "Jane",
"lastName": "Doe",
"bvn": "10987654321",
"reference": "ref_perm_123",
"email": "jane.doe@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: 'Jane',
lastName: 'Doe',
bvn: '10987654321',
reference: 'ref_perm_123',
email: 'jane.doe@example.com'
})
};
fetch('https://business-api.userivo.co/business/v1/virtual-accounts/ngn/permanent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://business-api.userivo.co/business/v1/virtual-accounts/ngn/permanent",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'firstName' => 'Jane',
'lastName' => 'Doe',
'bvn' => '10987654321',
'reference' => 'ref_perm_123',
'email' => 'jane.doe@example.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://business-api.userivo.co/business/v1/virtual-accounts/ngn/permanent"
payload := strings.NewReader("{\n \"firstName\": \"Jane\",\n \"lastName\": \"Doe\",\n \"bvn\": \"10987654321\",\n \"reference\": \"ref_perm_123\",\n \"email\": \"jane.doe@example.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://business-api.userivo.co/business/v1/virtual-accounts/ngn/permanent")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"firstName\": \"Jane\",\n \"lastName\": \"Doe\",\n \"bvn\": \"10987654321\",\n \"reference\": \"ref_perm_123\",\n \"email\": \"jane.doe@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://business-api.userivo.co/business/v1/virtual-accounts/ngn/permanent")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"firstName\": \"Jane\",\n \"lastName\": \"Doe\",\n \"bvn\": \"10987654321\",\n \"reference\": \"ref_perm_123\",\n \"email\": \"jane.doe@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Virtual account created successfully",
"data": {
"accountNumber": "1234509876",
"accountName": "Jane Doe",
"bankName": "Rivo Bank",
"reference": "ref_perm_123",
"type": "permanent",
"status": "active"
}
}Authorizations
Your Business API Key
Body
application/json
Response
Permanent virtual account created successfully.
